=== modified file 'bin/ubiquity-dm'
--- bin/ubiquity-dm	2015-01-07 07:50:00 +0000
+++ bin/ubiquity-dm	2015-01-20 23:34:16 +0000
@@ -482,7 +482,7 @@
             elif osextras.find_on_path('metacity'):
                 wm_cmd = ['metacity', '--sm-disable']
             elif osextras.find_on_path('xfwm4'):
-                wm_cmd = ['xfwm4', '--compositor=off']
+                wm_cmd = ['xfwm4', '--compositor=off', '--sm-client-disable']
             elif osextras.find_on_path('matchbox-window-manager'):
                 wm_cmd = ['matchbox-window-manager']
             elif osextras.find_on_path('openbox-lubuntu'):
@@ -508,7 +508,16 @@
                     stdin=null, stdout=logfile, stderr=logfile,
                     preexec_fn=self.drop_privileges))
                 extras.append(subprocess.Popen(
-                    ['xfsettingsd'],
+                    ['xprop', '-root', '-format', '_NET_NUMBER_OF_DESKTOPS',
+                     '32c', '-set', '_NET_NUMBER_OF_DESKTOPS', '1'],
+                    stdin=null, stdout=logfile, stderr=logfile,
+                    preexec_fn=self.drop_privileges))
+                extras.append(subprocess.Popen(
+                    ['xfsettingsd', '--sm-client-disable'],
+                    stdin=null, stdout=logfile, stderr=logfile,
+                    preexec_fn=self.drop_privileges))
+                extras.append(subprocess.Popen(
+                    ['xfdesktop', '--sm-client-disable'],
                     stdin=null, stdout=logfile, stderr=logfile,
                     preexec_fn=self.drop_privileges))
 

=== modified file 'debian/changelog'
--- debian/changelog	2015-01-20 10:43:37 +0000
+++ debian/changelog	2015-01-20 23:34:16 +0000
@@ -1,3 +1,10 @@
+ubiquity (2.21.6) vivid; urgency=medium
+
+  * Start all Xfce components with --sm-client-disable.
+  * Explicitly run `xfdesktop` to paint the background. (LP: #1375893)
+
+ -- Unit 193 <unit193@ubuntu.com>  Tue, 20 Jan 2015 18:13:58 -0500
+
 ubiquity (2.21.5) vivid; urgency=medium
 
   * kde: explicitly set the KDE_SESSION_VERSION env variable to 4

